%define name ethereal
%define version 0.8.19
%define release 1mdk
%define prefix %{_prefix}

Summary:	Network traffic analyzer
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group: 		Monitoring
Url: 		http://www.ethereal.com
Source: 	%{name}-%{version}.tar.bz2
Source1: 	%{name}
Source2:	%{name}-16.xpm.bz2
Source3:	%{name}-32.xpm.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  libpcap >= 0.4, ucd-snmp-devel, zlib-devel
Requires: 	gtk+ >= 1.2, ucd-snmp

%description
Ethereal is a network traffic analyzer for Unix-ish operating systems.
It is based on GTK+, a graphical user interface library, and libpcap,
a packet capture and filtering library.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%build

%configure --disable-static --disable-snmp
%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# menu
mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_menudir}

# icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* doc/*
%attr(755,root,root) %{_bindir}/*
%config %attr(644,root,root) %{_sysconfdir}/*
%attr(644,root,root) %{_mandir}/*/*
%{_libdir}/*
%{_iconsdir}/*.xpm
%{_miconsdir}/*.xpm

%changelog
* Wed Sep 05 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.19-1mdk
- updated to 0.8.19.

* Thu Jul 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.18-1mdk
- updated to 0.8.18

* Thu Apr 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.17-1mdk
- updated to 0.8.17

* Wed Mar 07 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.8.16-1mdk
- updated to 0.8.16
- disable snmp 

* Tue Nov 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.14-1mdk
- updated to 0.8.14

* Fri Oct 27 2000 Vincent Saugey <vince@mandrakesoft.com> 0.8.13-1mdk
- Up to 0.8.13
- Fix menu entry (not more ':' at end of icons name)

* Fri Aug 25 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.11-2mdk
- added BuildRequires.
- added tethereal, editcap binaries.
- added doc dir to docs.

* Fri Aug 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.11-1mdk
- update to v0.8.11

* Wed Jul 12 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.8.10-1mdk
- v0.8.10
- menu entry
- changed group

* Tue Dec 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- bz2 archive
- specfile adaptations
